if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/lib64 ; rm -rf libsolarus-gui.so )
( cd usr/lib64 ; ln -sf libsolarus-gui.so.1 libsolarus-gui.so )
( cd usr/lib64 ; rm -rf libsolarus-gui.so.1 )
( cd usr/lib64 ; ln -sf libsolarus-gui.so.1.6.4 libsolarus-gui.so.1 )
( cd usr/lib64 ; rm -rf libsolarus.so )
( cd usr/lib64 ; ln -sf libsolarus.so.1 libsolarus.so )
( cd usr/lib64 ; rm -rf libsolarus.so.1 )
( cd usr/lib64 ; ln -sf libsolarus.so.1.6.4 libsolarus.so.1 )
